Subject: bug#12579: Emacs 24.2 crashes or freezes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Nov 2012 20:21:33 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 21 Nov 2012 16:35:35 +0100
> 
> After many days of intensive Emacs use, I can tell that Everything does not
> block Emacs anymore, when
> 
>     (setq shell-file-name "cmdproxy") [1]
> 
> So, thanks to that (and to you), I don't have big problems anymore. GREAT.

This is good news.  However, I would encourage you to try a newer
snapshot of the development trunk, where the way Emacs reaps its
subprocesses was enhanced, and the problems you saw with Bash might
disappear.

> Though, I inherit other problems due to bad handling of miscellaneous styles
> of directory separator in the full filenames: among others, I now have
> troubles launching my PDF viewer from AUCTeX.

Let's discuss these problems in a separate thread, or a separate bug
report.